> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/common-dialogs/wisej.web.colordialog.md).

# ColorDialog

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [CommonDialog](/api/wisej.web/common-dialogs/wisej.web.commondialog.md)
  * [ColorDialog](/api/wisej.web/common-dialogs/wisej.web.colordialog.md)

Represents a common dialog box that displays available colors along with controls that enable the user to define custom colors.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ColorDialog : CommonDialog
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ColorDialog
    Inherits CommonDialog
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ColorDialog()

Initializes a new instance of [ColorDialog](/api/wisej.web/common-dialogs/wisej.web.colordialog.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) ColorDialog(container)

Initializes a new instance of the [ColorDialog](/api/wisej.web/common-dialogs/wisej.web.colordialog.md) extender with a specified container.

| Name          | Type                                                                                 | Description                                                                                                                                                                                                   |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) | An [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) that represents the container of the [ColorDialog](/api/wisej.web/common-dialogs/wisej.web.colordialog.md) component. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Color

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color selected by the user. (Default: `Color [Empty]`)

### ![](/files/hsR4ok3152WyAf8J2C1u) CustomColors

[Color\[\]](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the set of custom colors shown in the dialog box. (Default: `null`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) CreateUI()

**Returns:** [Form](/api/wisej.web/containers/form.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Reset()

Resets all properties to their default values.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/common-dialogs/wisej.web.colordialog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
